Name:           libuio
Version:        0.2.7
Release:        1%{?dist}
Summary:        UserspaceIO helper library

Group:          System Environment/Libraries
License:        LGPL 2.1
URL:            https://github.com/Linutronix/libuio
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  glib2-devel
BuildRequires:  texinfo

Requires(post): info
Requires(preun): info

%description
UserspaceIO helper library


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/lsuio.info.gz %{_infodir}/dir || :
/sbin/ldconfig

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info –delete %{_infodir}/lsuio.info.gz %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig

%files
%doc README COPYING
%{_libdir}/*.so.*
%{_bindir}/lsuio
%{_bindir}/readuio
%{_mandir}/man1/*
%{_infodir}/lsuio.info.gz
%exclude %{_infodir}/dir

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/pkgconfig/*


%changelog
* Mon Oct 26 2015 Jiri Kastner <jkastner@redhat.com>
- initial package
 
